# Crawl パラメータのプレビュー (/ja/api-reference/endpoint/crawl-params-preview)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1303 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレープ](/ja/api-reference/endpoint/batch-scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md)



`POST /crawl/params-preview`

自然言語プロンプトから生成されたクロールパラメーターをプレビュー

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "prompt": {
              "description": "クロールしたい対象を自然言語で記述したプロンプト",
              "maxLength": 10000,
              "type": "string"
            },
            "url": {
              "description": "クロールするURL",
              "format": "uri",
              "type": "string"
            }
          },
          "required": [
            "url",
            "prompt"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "properties": {
                  "allowExternalLinks": {
                    "description": "外部リンクを許可するか",
                    "type": "boolean"
                  },
                  "allowSubdomains": {
                    "description": "サブドメインを許可するか",
                    "type": "boolean"
                  },
                  "crawlEntireDomain": {
                    "description": "ドメイン全体をクロールするかどうか",
                    "type": "boolean"
                  },
                  "deduplicateSimilarURLs": {
                    "description": "類似するURLを重複排除するかどうか",
                    "type": "boolean"
                  },
                  "delay": {
                    "description": "リクエスト間の遅延時間（ミリ秒）",
                    "type": "number"
                  },
                  "excludePaths": {
                    "description": "除外対象のURLパターン",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "ignoreQueryParameters": {
                    "description": "クエリパラメータを無視するかどうかを指定",
                    "type": "boolean"
                  },
                  "ignoreRobotsTxt": {
                    "description": "robots.txt のルールを無視するかどうか",
                    "type": "boolean"
                  },
                  "includePaths": {
                    "description": "含める URL パターン",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "limit": {
                    "description": "クロールする最大ページ数",
                    "type": "integer"
                  },
                  "maxDepth": {
                    "description": "最大クロール深さ",
                    "type": "integer"
                  },
                  "maxDiscoveryDepth": {
                    "description": "最大探索深度",
                    "type": "integer"
                  },
                  "robotsUserAgent": {
                    "description": "robots.txt の評価に使用するカスタム User-Agent 文字列",
                    "type": "string"
                  },
                  "sitemap": {
                    "description": "サイトマップ処理戦略",
                    "enum": [
                      "skip",
                      "include"
                    ],
                    "type": "string"
                  },
                  "url": {
                    "description": "クロール対象のURL",
                    "format": "uri",
                    "type": "string"
                  }
                },
                "type": "object"
              },
              "success": {
                "example": true,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "生成されたクロールパラメータを含む成功レスポンス"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Invalid request parameters",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "不正なリクエスト"
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Unauthorized",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "認証されていません"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Failed to process natural language prompt",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "サーバーエラー"
    }
  }
}
```
